package dev.fyloz.trial.colorrecipesexplorer.builders;

import dev.fyloz.trial.colorrecipesexplorer.core.model.Company;

public class CompanyBuilder {

    private Long id = 0L;
    private String name = "Trial";

    public CompanyBuilder id(Long val) {
        id = val;
        return this;
    }

    public CompanyBuilder name(String val) {
        name = val;
        return this;
    }

    public Company build() {
        return new Company(id, name);
    }
}
